/*
 * stepper.h
 *
 * Created: 2015-11-07 02:03:38
 *  Author: DS
 */ 


#ifndef STEPPER_H_
#define STEPPER_H_


#define STEPPER_IDLE	0
#define STEPPER_START	1
#define STEPPER_RUN		2
#define STEPPER_PAUSE	3
#define STEPPER_RESUME	4
#define STEPPER_STOP	5

#define STEPPER_STEPS	8
#define STEPPER_MIKRO_STEPS	10
#define STEPPER_MIKRO_MULTI	10

#define PWM_PERIOD		((STEPPER_MIKRO_STEPS * STEPPER_MIKRO_MULTI))

void StepperInit(void);
void StepperStart(void);
void StepperStop(void);
char StepperIndex(char action);
char StepperNext(char action);

#endif /* STEPPER_H_ */